Summary:	Qt Cryptographic Architecture (QCA) Library
Summary(pl.UTF-8):	Biblioteka Qt Cryptographic Architecture (QCA)
Name:		qca
Version:	2.2.1
Release:	2
License:	LGPL v2.1
Group:		Libraries
Source0:	https://download.kde.org/stable/qca/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	5d809bf0ade891dc89dfd7639cbeaa9d
Patch0:		openssl3.patch
URL:		https://invent.kde.org/libraries/qca
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtTest-devel
BuildRequires:	cmake >= 2.8.2
BuildRequires:	libstdc++-devel
BuildRequires:	nss-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkcs11-helper-devel
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	which
Provides:	qt4-plugin-qca-ossl = %{version}
Obsoletes:	qt4-plugin-qca-cyrus-sasl
Obsoletes:	qt4-plugin-qca-gnupg
Obsoletes:	qt4-plugin-qca-ossl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Cryptographic Architecture (QCA) Library.

%description -l pl.UTF-8
Biblioteka Qt Cryptographic Architecture (QCA).

%package devel
Summary:	Qt Cryptographic Architecture (QCA) Library - development files
Summary(pl.UTF-8):	Biblioteka Qt Cryptographic Architecture (QCA) - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel

%description devel
Qt Cryptographic Architecture (QCA) Library - development files.

%description devel -l pl.UTF-8
Biblioteka Qt Cryptographic Architecture (QCA) - pliki dla
programistów.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
QC_CERTSTORE_PATH=/etc/certs/ca-certificates.crt; export QC_CERTSTORE_PATH
export CXXFLAGS="%{rpmcxxflags} -fpermissive"
%cmake \
	-DQCA_LIBRARY_INSTALL_DIR=%{_libdir} \
	-DQCA_FEATURE_INSTALL_DIR=%{_datadir}/qt4/mkspecs/features/ \
	-DQT4_BUILD=ON \
	..
%{__make}
cd ..

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/qcatool
%attr(755,root,root) %{_bindir}/mozcerts
%ghost %attr(755,root,root) %{_libdir}/libqca.so.2
%attr(755,root,root) %{_libdir}/libqca.so.*.*
%dir %{_libdir}/qca
%dir %{_libdir}/qca/crypto
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-cyrus-sasl.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-gcrypt.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-gnupg.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-logger.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-nss.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-ossl.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-pkcs11.so
%attr(755,root,root) %{_libdir}/qca/crypto/libqca-softstore.so
%{_mandir}/man1/qcatool.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqca.so
%{_includedir}/QtCrypto
%{_pkgconfigdir}/qca2.pc
%{_datadir}/qt4/mkspecs/features/crypto.prf
%{_libdir}/cmake/Qca
%changelog
* Mon Oct 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qca.git;a=log;h=master

* Mon Oct 25 2021 Jan Rękorajski <baggins@pld-linux.org> 01c22f0
- move qt5 support to separate package
- fix building with openssl 3.0.0
- rel 2

* Mon Oct 25 2021 Jan Rękorajski <baggins@pld-linux.org> 30e9a36
- move qt5 support to separate package
- fix building with openssl 3.0.0
- rel 2

* Mon Jul 27 2020 Bartek Szady <bszx@bszx.eu> 07d86c6
- updated to 2.2.1 - last version supporting Qt4 and Qt5

* Mon Oct 21 2019 Bartek Szady <bszx@bszx.eu> 9aff661
- rel 4; Qt5 needs c++11

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d625c23
- rel 3; fix openssl 1.1.1 build

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 857a898
- release 2 (by relup.sh)

* Thu Sep 14 2017 Bartek Szady <bszx@bszx.eu> 796873f
- updated to 2.1.3; plugins are in main package.

* Sun Aug 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d97f18
- rel 4; use our default ca store

* Sat Apr 02 2016 Jan Rękorajski <baggins@pld-linux.org> 3e15329
- package plugins dir
- rel 3

* Sat Mar 19 2016 Jan Rękorajski <baggins@pld-linux.org> d444071
- release 2 (by relup.sh)

* Fri Mar 18 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 9703bc0
- adaparized

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 18e276c
- updated to 2.1.1
- build packages for both qt5 and qt5 unconditionally for the moment

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 1d3a1cc
- really get rid of debug junk
- rel 4

* Sat Feb 28 2015 Jan Rękorajski <baggins@pld-linux.org> f9b137e
- verbose files
- rel 3

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> c8646d8
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 17 2012 Karol Krenski <charles@pld-linux.org> f48ed20
- BR: which
- added -gcc47.patch
- STBR

* Mon Sep 17 2012 Karol Krenski <charles@pld-linux.org> bd6ad95
- fixed:
secmem.h:217:41: error: 'set' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

* Thu Jun 30 2011 dzeus <dzeus@pld-linux.org> 376110b
- up to 2.0.3

* Sun Oct 18 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> ad54fca
- updated to 2.0.2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 41b75e2
- drop obsolete files

